/**
 * IMPORTANT: Changes in this file MUST be duplicated in edge-react-gui!
 */
import * as React from 'react';
import { ViewToken } from 'react-native';
import { AirshipBridge } from 'react-native-airship';
import { AnimatedIconComponent } from '../icons/ThemedIcons';
interface Props<T> {
    bridge: AirshipBridge<any>;
    title?: string;
    message?: string;
    hideSearch?: boolean;
    initialValue?: string;
    iconComponent?: AnimatedIconComponent | null;
    placeholder?: string;
    autoCorrect?: boolean;
    autoCapitalize?: 'none' | 'sentences' | 'words' | 'characters';
    returnKeyType?: 'done' | 'go' | 'next' | 'search' | 'send';
    keyboardType?: 'default' | 'number-pad' | 'decimal-pad' | 'numeric' | 'email-address' | 'phone-pad';
    blurOnSubmit?: boolean;
    inputAccessoryViewID?: string;
    maxLength?: number;
    onSubmitEditing?: (text: string) => void;
    secureTextEntry?: boolean;
    autoFocus?: boolean;
    blurOnClear?: boolean;
    rowsData?: T[];
    rowComponent?: (props: T) => React.ReactElement;
    rowDataFilter?: (filterText: string, data: T, index: number) => boolean;
    onViewableItemsChanged?: (info: {
        viewableItems: ViewToken[];
        changed: ViewToken[];
    }) => void;
    closeArrow?: boolean;
}
export declare function ListModal<T>({ bridge, title, message, hideSearch, initialValue, rowsData, rowComponent, rowDataFilter, closeArrow, onSubmitEditing, onViewableItemsChanged, iconComponent, placeholder, autoCorrect, autoCapitalize, returnKeyType, keyboardType, blurOnSubmit, inputAccessoryViewID, maxLength, secureTextEntry, autoFocus, blurOnClear }: Props<T>): JSX.Element;
export {};
